package studio.halbear.hem.procedures;

import studio.halbear.hem.HemMod;

import java.util.Map;

public class BlueleavesCollideProcedure {

	public static boolean executeProcedure(Map<String, Object> dependencies) {
		if (dependencies.get("onGround") == null) {
			if (!dependencies.containsKey("onGround"))
				HemMod.LOGGER.warn("Failed to load dependency onGround for procedure BlueleavesCollide!");
			return false;
		}
		boolean onGround = (boolean) dependencies.get("onGround");
		if (onGround) {
			return true;
		}
		return false;
	}
}
